Bug 733389 - [abrt] abrt-addon-ccpp-2.0.3-1.fc15: abrt-action-analyze-core.py:52:init_gettext:AttributeError: 'module' object has no attribute 'nl_langinfo'
Summary: [abrt] abrt-addon-ccpp-2.0.3-1.fc15: abrt-action-analyze-core.py:52:init_gett...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Denys Vlasenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:fefa5e9018b4bdd3ec30b117df1...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-25 15:44 UTC by Florian Ludwig
Modified: 2011-11-21 22:51 UTC (History)
7 users (show)

Fixed In Version: abrt-2.0.6-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-21 22:51:34 UTC


Attachments (Terms of Use)

Description Florian Ludwig 2011-08-25 15:44:09 UTC
abrt version: 2.0.3
architecture:   x86_64
cmdline:        /usr/bin/python -u /usr/bin/abrt-action-analyze-core.py --core=coredump -o build_ids
comment:        I tryed to report a crash in pidgin
component:      abrt
executable:     /usr/bin/abrt-action-analyze-core.py
kernel:         2.6.40.3-0.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        abrt-addon-ccpp-2.0.3-1.fc15
reason:         abrt-action-analyze-core.py:52:init_gettext:AttributeError: 'module' object has no attribute 'nl_langinfo'
time:           Thu Aug 25 17:43:31 2011
uid:            500
username:       dino

backtrace:
:abrt-action-analyze-core.py:52:init_gettext:AttributeError: 'module' object has no attribute 'nl_langinfo'
:
:Traceback (most recent call last):
:  File "/usr/bin/abrt-action-analyze-core.py", line 124, in <module>
:    init_gettext()
:  File "/usr/bin/abrt-action-analyze-core.py", line 52, in init_gettext
:    gettext.bind_textdomain_codeset(GETTEXT_PROGNAME, locale.nl_langinfo(locale.CODESET))
:AttributeError: 'module' object has no attribute 'nl_langinfo'
:
:Local variables in innermost frame:

Comment 1 Denys Vlasenko 2011-10-11 17:19:59 UTC
Fixed in git:

commit 2e9c7454755d64b90d182bb558b502f281066d4f
Author: Denys Vlasenko <dvlasenk@redhat.com>
Date:   Tue Oct 11 19:18:15 2011 +0200

    locale.nl_langinfo doesn't exist in all installations, use try/except arount it

Comment 2 Fedora Update System 2011-11-05 18:58:19 UTC
abrt-2.0.6-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/abrt-2.0.6-1.fc16

Comment 3 Fedora Update System 2011-11-06 23:55:39 UTC
Package abrt-2.0.6-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.6-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-15513
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-11-21 22:51:34 UTC
abrt-2.0.6-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.